;*************************************************************************
;				Constant definitions
;-------------------------------------------------------------------------
.equ	xtal		= 11059200		;11.0592MHz
.equ	boottime	= byte3( xtal / 5 )	;0.2s

.equ	Key_Enter	= 0x0A		;Command end
.equ	Key_LineFeed	= 0x0D		;also command end

.equ	Key_Done        = 'a'		;Command execution successful
.equ	Key_Failed      = 'f'		;Command failed or not avaiable
.equ	Key_Continue	= 'c'		;read or write next byte

;-------------------------------------------------------------------------
;				Using register
;-------------------------------------------------------------------------
.def	SaveSreg	= r2		;for interrupt usage
.def	rx_ptr		= r3		;rx data pointer
.def	rx_data		= r4
.def	pbyte		= r5		;byte to program
.def	st1l		= r6
.def	st1h		= r7
;-------------------------------------------------------------------------
.def	flags		= r16
.equ	f_enable	= 0
.equ	f_error		= 1
.equ	f_eeprom	= 2
.equ	f_write		= 3
.equ	f_fast		= 4

.def	timeout		= r17		;boot start time counter
.def	a0		= r18		;working registers
.def	a1		= r19
.def	a2		= r20
.def	a3		= r21
.def	a4		= r22
.def	a5		= r23
.def	addrl		= r24		;for word increment
.def	addrh		= r25
;-------------------------------------------------------------------------
;				Using SRAM
;-------------------------------------------------------------------------
.dseg
	.org		RAMSTART
sram1:
	.org		(sram1 + 0xFF) & 0xFF00		;buffer alignment
.equ	Rx_Size		= 256
Rx_Buff:	.byte	Rx_Size
Rx_Buff_End:
page_buff:	.byte	pagesize * 2
page_buff_end:
.cseg
;-------------------------------------------------------------------------
;				Port definitions
;-------------------------------------------------------------------------
.equ	led_out		= PORTB		;LEDs
.equ	led_ddr		= DDRB
.equ	led0		= PORTB0
.equ	led1		= PORTB1
.equ	led2		= PORTB2
.equ	led5		= PORTB5

.equ	UART_IN		= PIND
.equ	RXD		= PORTD0
;-------------------------------------------------------------------------
